Name:           koverartist
Version:        0.7.6
Release:        2%{?dist}
Summary:        Create CD/DVD covers
Group:          Applications/Publishing
License:        GPLv2+
URL:            http://www.kde-apps.org/content/show.php?content=38195
Source0:        http://kde-apps.org/CONTENT/content-files/38195-%{name}_%{version}.orig.tar.bz2
Patch0:         koverartist-0.7.6-gcc47.patch
BuildRequires:  kdelibs-devel gettext desktop-file-utils cmake
#Requires:       

%description
KoverArtist is a program for the fast creation of covers for
cd/dvd cases and boxes. The main idea behind it is to be able
to create decent looking covers with some mouseclicks.

%prep
%setup -q
%patch0 -p1 -b .gcc47

%build
%configure --disable-rpath
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
%find_lang %{name}

desktop-file-validate %{buildroot}/%{_datadir}/applications/kde4/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null ||:

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/koverartist
%{_datadir}/icons/hicolor/*/apps/koverartist.png
%{_datadir}/applications/kde4/koverartist.desktop
%{_datadir}/kde4/apps/%{name}/
%{_datadir}/mime/packages/mime-types/x-koa*.xml

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 21 2012 Tom Callaway <spot@fedoraproject.org> 0.7.6-1
- update to 0.7.6

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-16
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 10 2008 Sebastian Vahl <fedora@deadbabylon.de> 0.5-11
- added patch to compile with gcc-4.3

* Sat Feb 09 2008 Sebastian Vahl <fedora@deadbabylon.de> 0.5-10
- rebuild for new gcc-4.3

* Sun Dec 01 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-9
- BR: kdelibs3-devel (instead of kdelibs-devel)
- make sure qt-devel would be found

* Thu Aug 16 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-8
- Change License to GPLv2+

* Thu Apr 12 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-7
- changed vendor and use /usr/share/applications/kde

* Wed Apr 11 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-6
- run gtk-update-icon-cache on post and postun
- run update-desktop-database on post and postun
- added BR: desktop-file-utils

* Wed Jan 18 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-5
- some cleanup in description
- dropped X-Fedora in desktop-file-install

* Wed Jan 17 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-4
- Use find_lang macro

* Wed Jan 17 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-3
- use desktop-file-install
- BR: desktop-file-utils
- changed rpm-group to Applications/Publishing

* Fri Dec 01 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-2
- BR: gettext

* Wed Nov 01 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-1
- New upstream version: 0.5

* Wed Oct 25 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.4.3-2
- Rebuild for FC6

* Wed Jul 26 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.4.3-1
- New upstream version: 0.4.3

* Fri Jun 16 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.4-1
- New upstream version: 0.4

* Wed May 03 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.3.6-1
- New upstream version: 0.3.3

* Fri Apr 28 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.3.3-1
- New upstream version: 0.3.3

* Thu Apr 27 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.3.2-1
- New upstream version: 0.3.2

* Mon Apr 24 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.3.1-1
- Initial RPM Release
